/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.initial;

import javax.ejb.Stateless;
import javax.ejb.Remote;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.2.2.4 $
 */
@Stateless
@Remote(TestStatus.class)
public class TestStatusBean implements TestStatus
{
   public static boolean postConstruct;
   public static boolean preDestroy;
   public static boolean postActivate;
   public static boolean prePassivate;

   public boolean postConstruct()
   {
      return postConstruct;
   }

   public boolean preDestroy()
   {
      return preDestroy;
   }

   public boolean postActivate()
   {
      return postActivate;
   }

   public boolean prePassivate()
   {
      return prePassivate;
   }

   public void clear()
   {
      postConstruct = false;
      preDestroy = false;
      postActivate = false;
      prePassivate = false;
   }
}
